%global host     www.falconpl.org
# latest bugfix release does not come with updated docs
# remove once the releases are synced again
%global docver   0.9.6.4

Name:            Falcon
Version:         0.9.6.6
Release:         2%{?dist}
Summary:         The Falcon Programming Language
Summary(it):     Il linguaggio di programmazione Falcon

License:        GPLv2+
Group:          Development/Languages
URL:            http://%{host}/
Source0:        http://%{host}/project_dl/_official_rel/%{name}-%{version}.tgz
Source1:        http://%{host}/project_dl/_official_rel/%{name}-docs-core.%{docver}.tar.gz
Source2:        http://%{host}/project_dl/_official_rel/%{name}-feathers-docs.%{docver}.tar.gz
# emailed to author
Patch0:         Falcon-0.9.6.6-honor-cmake-dir.patch

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  cmake pcre-devel zlib-devel

%description
The Falcon Programming Language is an embeddable scripting language
aiming to empower even simple applications with a powerful,
flexible, extensible and highly configurable scripting engine.

Falcon is also a standalone multiplatform scripting language that
aims to be both simple and powerful.

%description -l it
Il Falcon è un linguaggio di programmazione embeddabile che intende
fornire nuove potenzialità anche a semplici applicazioni, fornendo
loro un potente, flessibie, estendibile e configurabile motore
di scripting.

Falcon è anche uno scripting languge completo e multipiattaforma,
semplice e potente.

%package   devel
Summary:   Development files for %{name}
Group:     Development/Libraries
Requires:  %{name} = %{version}-%{release}

%description devel
The Falcon Programming Language is an embeddable scripting language
aiming to empower even simple applications with a powerful,
flexible, extensible and highly configurable scripting engine.

Falcon is also a standalone multiplatform scripting language that
aims to be both simple and powerful.

This package contains development files for %{name}. This is not
necessary for using the %{name} interpreter.

%package   doc
Summary:   Documentation for %{name}
Group:     Documentation
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The Falcon Programming Language is an embeddable scripting language
aiming to empower even simple applications with a powerful,
flexible, extensible and highly configurable scripting engine.

Falcon is also a standalone multiplatform scripting language that
aims to be both simple and powerful.

This package contains HTML documentation for %{name}.


%prep
%setup -q -a1 -a2
%patch0 -p1 -b .honor-cmake-dir
mkdir largedocs
mv Falcon-docs-core.%{docver} largedocs/core
mv Falcon-feathers-docs.%{docver} largedocs/feathers


%build
%cmake . -DFALCON_LIB_DIR=%{_lib} \
       -DFALCON_CMAKE_DIR=%{_lib}/falcon/cmake \
       -DFALCON_SHARE_DIR=share/doc/Falcon-%{version}

make VERBOSE=1 %{?_smp_flags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# so that this directory is available for third-party apps
mkdir $RPM_BUILD_ROOT%{_libdir}/falcon/apps
# with cmake-2.6, the default install target misses some files
#[ -f $RPM_BUILD_ROOT%{_bindir}/faltest ] || \
#  (cd devel/release/build/core && make install && \
#   cd ../modules/feathers && make install)
# Fix falconeer script
#sed -i "s|#!/bin/falcon|#!%{_bindir}/falcon|" \
#  $RPM_BUILD_ROOT%{_bindir}/falconeer.fal


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc %{_datadir}/doc/Falcon-%{version}
%exclude %{_bindir}/falcon-conf
%exclude %{_bindir}/falconeer.fal
%exclude %{_bindir}/faltest
%{_bindir}/*
%exclude %{_mandir}/man1/falcon-conf*
%exclude %{_mandir}/man1/falconeer.fal*
%exclude %{_mandir}/man1/faltest*
%{_libdir}/falcon
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_bindir}/falcon-conf
%{_bindir}/falconeer.fal
%{_bindir}/faltest
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man1/falcon-conf*
%{_mandir}/man1/falconeer.fal*
%{_mandir}/man1/faltest*

%files doc
%defattr(-,root,root,-)
%doc largedocs/*



%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov  5 2010 Michel Salim <salimma@fedoraproject.org> - 0.9.6.6-1
- Update to 0.9.6.6

* Wed Sep 23 2009 Michel Salim <salimma@fedoraproject.org> - 0.9.4.2-1
- Update to 0.9.4.2
- Package documentation files

* Tue Aug 25 2009 Michel Salim <salimma@fedoraproject.org> - 0.9.4-1
- Update to 0.9.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.14.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  6 2009 Michel Salim <salimma@fedoraproject.org> - 0.8.14.2-1
- Update to 0.8.14.2

* Mon Jun  9 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.10-3
- Revert r401 patch; does not fix cmake-2.6 problem on Rawhide
  Reverting to manually using 'make install' in individual subdirectories

* Mon Jun  9 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.10-2
- Merge in cmake fixes from core/trunk r401
- Patch core/CMakeLists.txt to default to /usr, as it appears that the
  requested prefix is not properly used
- Fix incorrect #! interpreter in falconeer.fal

* Sat Jun  7 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.10-1
- Update to 0.8.10

* Wed May 21 2008 Michel Salim <salimma@fedoraproject.org> - 0.8.8-3
- Use correct libdir for module path

* Thu Apr 24 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.8.8-2
- Updated license
- Changed source URL to one that includes license grant

* Fri Jan 25 2008 Michel Salim <michel.sylvan@gmail.com> - 0.8.8-1
- Initial Fedora package
  Based on initial spec by Giancarlo Niccolai <gc@falconpl.org>
